net.sf.jasperreports.data.jdbc

## Interface JdbcDataAdapter

- All Superinterfaces:
    ClasspathAwareDataAdapter, DataAdapter
  All Known Subinterfaces:
    MondrianDataAdapter
  All Known Implementing Classes:
    JdbcDataAdapterImpl, MondrianDataAdapterImpl

      public interface JdbcDataAdapter
      extends ClasspathAwareDataAdapter

  Version:
    $Id: JdbcDataAdapter.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDatabase()`
    `java.lang.String` | `getDriver()`
    `java.lang.String` | `getPassword()`
    `java.util.Map<java.lang.String,java.lang.String>` | `getProperties()`
    `java.lang.String` | `getServerAddress()`
    `java.lang.String` | `getUrl()`
    `java.lang.String` | `getUsername()`
    `boolean` | `isSavePassword()`
    `void` | `setDatabase(java.lang.String database)`
    `void` | `setDriver(java.lang.String driver)`
    `void` | `setPassword(java.lang.String password)`
    `void` | `setProperties(java.util.Map<java.lang.String,java.lang.String> properties)`
    `void` | `setSavePassword(boolean savePassword)`
    `void` | `setServerAddress(java.lang.String serverAddress)`
    `void` | `setUrl(java.lang.String url)`
    `void` | `setUsername(java.lang.String username)`

    - ### Methods inherited from interface net.sf.jasperreports.data.ClasspathAwareDataAdapter

      `getClasspath, setClasspath`

    - ### Methods inherited from interface net.sf.jasperreports.data.DataAdapter

      `getName, setName`

- - ### Method Detail

    - #### getDatabase

          java.lang.String getDatabase()

    - #### setDatabase

          void setDatabase(java.lang.String database)

    - #### getDriver

          java.lang.String getDriver()

    - #### setDriver

          void setDriver(java.lang.String driver)

    - #### getPassword

          java.lang.String getPassword()

    - #### setPassword

          void setPassword(java.lang.String password)

    - #### isSavePassword

          boolean isSavePassword()

    - #### setSavePassword

          void setSavePassword(boolean savePassword)

    - #### getUrl

          java.lang.String getUrl()

    - #### setUrl

          void setUrl(java.lang.String url)

    - #### getUsername

          java.lang.String getUsername()

    - #### setUsername

          void setUsername(java.lang.String username)

    - #### getServerAddress

          java.lang.String getServerAddress()

    - #### setServerAddress

          void setServerAddress(java.lang.String serverAddress)

    - #### setProperties

          void setProperties(java.util.Map<java.lang.String,java.lang.String> properties)

    - #### getProperties

          java.util.Map<java.lang.String,java.lang.String> getProperties()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com